#import "MyController.h"

@implementation MyController

- (void)applicationDidFinishLaunching:(NSNotification *)aNotification
{
    count = 0;
    NSTimer *timer = [NSTimer scheduledTimerWithTimeInterval: 0.2
                                              target: self
                                            selector: @selector(incrementCounter:)
                                            userInfo: nil
                                             repeats: YES];
    
    // the next statement is needed if we want the timer to function
    // while the button is held down
    [[NSRunLoop currentRunLoop] addTimer:timer
                                 forMode:NSEventTrackingRunLoopMode];
}

- (void)incrementCounter:(NSTimer *)theTimer
{
    count++;
    [textField1 setIntValue: count];
}

- (IBAction)buttonAction:(id)sender
{
    count = 0;
    [textField1 setIntValue: count];
}

@end
